Поделиться через


Alerts - List

Выводит список оповещений для определенной области.

GET https://management.azure.com/{scope}/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Параметры URI

Имя В Обязательно Тип Описание
scope
path True

string

Область, связанная с операциями оповещений. Это включает в себя "/subscriptions/{subscriptionId}/" для области подписки, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}" для области resourceGroup, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}' для области учетной записи выставления счетов и "/поставщики/Microsoft.Billing/billingAccounts/{billingAccountId}/departmentId}" для области отдела, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/enrollmentAccounts/{ enrollmentAccountId}' для области EnrollmentAccount, "/providers/Microsoft.Management/managementGroups/{managementGroupId} для области группы управления, "/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}" для области выставления счетов, "/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}/invoiceProfileId/accountSections/{invoiceSectionId}" для области выставления счетов и "/поставщики/Майкрософт". Выставление счетов,выставление счетов/выставление счетов/{billingAccountId}/customers/{customerId}" для партнеров.

api-version
query True

string

minLength: 1

Версия API, используемая для данной операции.

Ответы

Имя Тип Описание
200 OK

AlertsResult

Операция Azure успешно завершена.

Other Status Codes

ErrorResponse

Непредвиденное сообщение об ошибке.

Безопасность

azure_auth

Поток OAuth2 в Azure Active Directory.

Тип: oauth2
Течь: implicit
URL авторизации: https://login.microsoftonline.com/common/oauth2/authorize

Области

Имя Описание
user_impersonation олицетворения учетной записи пользователя

Примеры

BillingAccountAlerts
BillingProfileAlerts
DepartmentAlerts
EnrollmentAccountAlerts
InvoiceSectionAlerts
ResourceGroupAlerts
SubscriptionAlerts

BillingAccountAlerts

Образец запроса

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Пример ответа

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

BillingProfileAlerts

Образец запроса

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Пример ответа

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

DepartmentAlerts

Образец запроса

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Пример ответа

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

EnrollmentAccountAlerts

Образец запроса

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Пример ответа

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

InvoiceSectionAlerts

Образец запроса

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Пример ответа

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

ResourceGroupAlerts

Образец запроса

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Пример ответа

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

SubscriptionAlerts

Образец запроса

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Пример ответа

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

Определения

Имя Описание
Alert

Отдельное оповещение.

AlertCategory

Категория оповещений

AlertCriteria

Критерии, активировающие оповещение

AlertOperator

оператор, используемый для сравнения currentSpend с суммой

AlertPropertiesDefinition

определяет тип оповещения

AlertPropertiesDetails

Сведения об оповещении

AlertSource

Источник оповещений

AlertsResult

Результат оповещений.

AlertStatus

Состояние оповещения

AlertTimeGrainType

Тип каденции timegrain

AlertType

тип оповещения

createdByType

Тип удостоверения, создавшего ресурс.

ErrorDetails

Сведения об ошибке.

ErrorResponse

Ответ на ошибку указывает, что служба не может обработать входящий запрос. Причина указана в сообщении об ошибке. \n\nНекоторые ответы на ошибку: \n\n * 429 TooManyRequests — Запрос ограничен. Повторите попытку после ожидания времени, указанного в заголовке x-ms-ratelimit-microsoft.consumption-retry-after. \n\n * 503 СервисНедоступно - Связь временно недоступна. Повторите попытку после ожидания времени, указанного в заголовке Retry-After.

systemData

Метаданные, относящиеся к созданию и последнему изменении ресурса.

Alert

Отдельное оповещение.

Имя Тип Описание
eTag

string

eTag ресурса. Для обработки сценария параллельного обновления это поле будет использоваться для определения того, обновляет ли пользователь последнюю версию или нет.

id

string (arm-id)

Полный идентификатор ресурса для ресурса. Например, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Имя ресурса

properties.closeTime

string

dateTime, в котором было закрыто оповещение

properties.costEntityId

string

связанный бюджет

properties.creationTime

string

dateTime, в которой было создано оповещение

properties.definition

AlertPropertiesDefinition

определяет тип оповещения

properties.description

string

Описание предупреждения

properties.details

AlertPropertiesDetails

Сведения об оповещении

properties.modificationTime

string

dateTime, в котором оповещение было изменено в последний раз

properties.source

AlertSource

Источник оповещений

properties.status

AlertStatus

Состояние оповещения

properties.statusModificationTime

string

dateTime, в котором последнее изменение состояния оповещения

properties.statusModificationUserName

string

Пользователь, который последний раз изменил оповещение

systemData

systemData

Метаданные Azure Resource Manager, содержащие данные createdBy и modifiedBy.

type

string

Тип ресурса. Например, "Microsoft.Compute/virtualMachines" или "Microsoft.Storage/storageAccounts"

AlertCategory

Категория оповещений

Ценность Описание
Cost
Usage
Billing
System

AlertCriteria

Критерии, активировающие оповещение

Ценность Описание
CostThresholdExceeded
UsageThresholdExceeded
CreditThresholdApproaching
CreditThresholdReached
QuotaThresholdApproaching
QuotaThresholdReached
MultiCurrency
ForecastCostThresholdExceeded
ForecastUsageThresholdExceeded
InvoiceDueDateApproaching
InvoiceDueDateReached
CrossCloudNewDataAvailable
CrossCloudCollectionError
GeneralThresholdError

AlertOperator

оператор, используемый для сравнения currentSpend с суммой

Ценность Описание
None
EqualTo
GreaterThan
GreaterThanOrEqualTo
LessThan
LessThanOrEqualTo

AlertPropertiesDefinition

определяет тип оповещения

Имя Тип Описание
category

AlertCategory

Категория оповещений

criteria

AlertCriteria

Критерии, активировающие оповещение

type

AlertType

тип оповещения

AlertPropertiesDetails

Сведения об оповещении

Имя Тип Описание
amount

number (decimal)

Сумма порогового значения бюджета

companyName

string

название компании

contactEmails

string[]

список сообщений электронной почты для контакта

contactGroups

string[]

список групп действий для трансляции

contactRoles

string[]

список ролей контактов

currentSpend

number (decimal)

текущие расходы

departmentName

string

Имя отдела

enrollmentEndDate

string

datetime of recordingEndDate

enrollmentNumber

string

номер регистрации

enrollmentStartDate

string

дата, время регистрацииНачалоДата начала

invoicingThreshold

number (decimal)

Пороговое значение для выставления счетов

meterFilter

MeterFilter[]

массив метров для фильтрации по

operator

AlertOperator

оператор, используемый для сравнения currentSpend с суммой

overridingAlert

string

Переопределение оповещений

periodStartDate

string

datetime от periodStartDate

resourceFilter

ResourceFilter[]

массив ресурсов для фильтрации по

resourceGroupFilter

ResourceGroupFilter[]

массив групп ресурсов для фильтрации по

tagFilter

теги для фильтрации по

threshold

number (decimal)

Процент порогового значения уведомления в виде десятичного значения, активируемого этим оповещением

timeGrainType

AlertTimeGrainType

Тип каденции timegrain

triggeredBy

string

notificationId, активировав это оповещение

unit

string

единица используемой валюты

AlertSource

Источник оповещений

Ценность Описание
Preset
User

AlertsResult

Результат оповещений.

Имя Тип Описание
nextLink

string

URL-адрес для получения следующего набора результатов оповещений при наличии.

value

Alert[]

Список оповещений.

AlertStatus

Состояние оповещения

Ценность Описание
None
Active
Overridden
Resolved
Dismissed

AlertTimeGrainType

Тип каденции timegrain

Ценность Описание
None
Monthly
Quarterly
Annually
BillingMonth
BillingQuarter
BillingAnnual

AlertType

тип оповещения

Ценность Описание
Budget
Invoice
Credit
Quota
General
xCloud
BudgetForecast

createdByType

Тип удостоверения, создавшего ресурс.

Ценность Описание
User
Application
ManagedIdentity
Key

ErrorDetails

Сведения об ошибке.

Имя Тип Описание
code

string

Код ошибки.

message

string

Сообщение об ошибке, указывающее, почему операция завершилась ошибкой.

ErrorResponse

Ответ на ошибку указывает, что служба не может обработать входящий запрос. Причина указана в сообщении об ошибке. \n\nНекоторые ответы на ошибку: \n\n * 429 TooManyRequests — Запрос ограничен. Повторите попытку после ожидания времени, указанного в заголовке x-ms-ratelimit-microsoft.consumption-retry-after. \n\n * 503 СервисНедоступно - Связь временно недоступна. Повторите попытку после ожидания времени, указанного в заголовке Retry-After.

Имя Тип Описание
error

ErrorDetails

Сведения об ошибке.

systemData

Метаданные, относящиеся к созданию и последнему изменении ресурса.

Имя Тип Описание
createdAt

string (date-time)

Метка времени создания ресурса (UTC).

createdBy

string

Удостоверение, создающее ресурс.

createdByType

createdByType

Тип удостоверения, создавшего ресурс.

lastModifiedAt

string (date-time)

Временная метка последнего изменения ресурса (UTC)

lastModifiedBy

string

Идентификатор, который последний раз изменил ресурс.

lastModifiedByType

createdByType

Тип удостоверения, который последний раз изменил ресурс.